> ## Documentation Index
> Fetch the complete documentation index at: https://docs.konnectnxt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Global DB Result API

> Fetch result of the  Global DB check raised using the `request_id` generated in the initiate api. If the verification is completed a generated report will be available for download.



## OpenAPI

````yaml GET /v2/verification/global-db/result/
openapi: 3.0.0
info:
  title: KonnectNXT API Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://bgv.konnectnxt.com/api
    description: Production
  - url: https://testbgv.konnectnxt.com/api
    description: QA
security:
  - bearerAuth: []
paths:
  /v2/verification/global-db/result/:
    get:
      tags:
        - Global Database Check
      summary: Fetch global database screening result
      description: >-
        Fetches or polls the vendor for the latest result using request_id. If
        the verification is completed, enriched data such as report URLs and
        hits will be returned.
      operationId: fetchGlobalDbCheckResult
      parameters:
        - in: query
          name: request_id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Latest status/result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GlobalDBFetchSuccessResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '500':
          $ref: '#/components/responses/InternalServerError'
        '502':
          description: Vendor error
components:
  schemas:
    GlobalDBFetchSuccessResponse:
      type: object
      properties:
        status:
          type: string
          example: success
        code:
          type: integer
          example: 200
        message:
          type: string
          example: Operation completed successfully
        data:
          $ref: '#/components/schemas/GlobalDBFetchData'
        credits_used:
          type: number
          example: 0
        credits_remaining:
          type: number
          example: 90
    GlobalDBFetchData:
      type: object
      description: Result payload returned from vendor after completion
      additionalProperties: true
    ErrorResponse:
      type: object
      properties:
        status:
          type: string
          example: error
        code:
          type: integer
          example: 400
        message:
          type: string
          example: Validation failed
        errors:
          type: object
          additionalProperties: true
  responses:
    BadRequest:
      description: Validation error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Unauthorized:
      description: Authentication failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    InternalServerError:
      description: Unexpected system error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key issued by KonnectNXT. Pass as `Authorization: Bearer
        <your_api_key>`.

````